Skip to main content
GET
/
mailbox
/
identities
List mailbox sender identities
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/identities \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "email": "jsmith@example.com",
      "reply_to": [
        {
          "email": "agent@example.com",
          "name": "Support"
        }
      ],
      "bcc": [
        {
          "email": "agent@example.com",
          "name": "Support"
        }
      ],
      "text_signature": "<string>",
      "html_signature": "<string>",
      "may_delete": true
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Query Parameters

cursor
string
limit
integer
Required range: 1 <= x <= 100

Response

Identity list

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object[]
required
pagination
object
required